%{!?dist: %define dist .slc5}
Name: cern-cvi-console
Version: 0.3
Release: 1%{?dist}
Summary: cern-cvi-console - utility to connect to Hyper-V guest consoles at CERN
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Jaroslaw.Polok@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

# this is REAL requirement, earlier freerdp snapshots do not
# have support for connecting to hyper-v 'pass-thru' consoles
Requires: freerdp >= 1.0.1-54cea6a.2

%description 
%{name} is a CERN utility which provides direct access to CERN
CVI Hyper-V guest consoles from linux. Please note that this tool 
is CERN specific and of no use outside CERN network.

%prep
%setup -q

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/cern-cvi-console
%{_mandir}/man3/cern-cvi-console.3*
%doc README

%changelog
* Wed Nov 21 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.3-1
- enabled SSL verification for libcurl
- added --vmm option
* Wed Oct 17 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1-1
- initial test release.
